=== debian/changelog ===
gbsplay (0.0.94+git20210915-1) unstable; urgency=medium

  * New upstream version.
  * d/rules:
    - add --enable-verbosebuild to ./configure. (Closes: #977943)
    - also build and install xgbsplay.
  * d/clean: added.
  * d/control: add libsdl2-dev, libxcb-icccm4-dev, libcairo2-dev to
    build-depends.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 15 Sep 2021 11:43:17 +0200
