=== debian/control ===
Source: gbsplay
Section: sound
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Uploaders: Christian Garbs <debian@cgarbs.de>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), gettext, libaudio-dev, libpulse-dev, libasound2-dev, libsdl2-dev, libxcb-icccm4-dev, libcairo2-dev
Homepage: https://github.com/mmitch/gbsplay

Package: gbsplay
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: vorbis-tools
Description: Gameboy sound player
 This program emulates the sound hardware of the Nintendo Gameboy.  It
 is able to play the sounds from a Gameboy module dump (.GBS format).
 Also included is the gbsinfo tool which displays information about
 a .GBS file.
