## gbsplay 0.0.96

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,8 @@
+MAKEFLAGS += --warn-undefined-variables
+.DELETE_ON_ERROR:
+SHELL := bash
+.SHELLFLAGS := -eu -o pipefail -c
+
 .PHONY: all default distclean clean install dist clean-apidoc
 
 all: default
@@ -45,7 +50,7 @@
 endif
 endif
 
-XMMSPREFIX  :=
+TEST_WRAPPER =
 DESTDIR     :=
 
 # Update paths with user-provided DESTDIR
@@ -60,8 +65,6 @@
 includedir   := $(DESTDIR)$(includedir)
 pkgconfigdir := $(DESTDIR)$(pkgconfigdir)
 
-xmmsdir     := $(DESTDIR)$(XMMSPREFIX)$(XMMS_INPUT_PLUGIN_DIR)
-
 man1dir     := $(mandir)/man1
 man3dir     := $(mandir)/man3
 man5dir     := $(mandir)/man5
@@ -70,7 +73,7 @@
 
 DISTDIR := gbsplay-$(VERSION)
 
-GBSCFLAGS  := $(EXTRA_CFLAGS)
+GBSCFLAGS  := -D_XOPEN_SOURCE=500 -D_POSIX_C_SOURCE=200809L $(EXTRA_CFLAGS)
 GBSLDFLAGS := $(EXTRA_LDFLAGS)
 comma := ,
 GBSLIBLDFLAGS := -lm $(subst -pie,,$(subst -Wl$(comma)-pie,,$(EXTRA_LDFLAGS)))
@@ -84,7 +87,7 @@
 export Q VERBOSE CC HOSTCC BUILDCC GBSCFLAGS GBSLDFLAGS
 
 docs               := README.md HISTORY COPYRIGHT
-docs-dist          := INSTALL CODINGSTYLE TESTSUITE gbsformat.txt
+docs-dist          := INSTALL.md CODINGSTYLE gbsformat.txt
 contribs           := contrib/gbs2ogg.sh contrib/gbsplay.bashcompletion
 examples           := examples/nightmode.gbs examples/gbsplayrc_sample
 
@@ -101,7 +104,6 @@
 objs_libgbs        := gbcpu.o  gbhw.o  mapper.o  gbs.o  crc32.o
 objs_gbs2gb        := gbs2gb.o
 objs_gbsinfo       := gbsinfo.o
-objs_gbsxmms       := gbsxmms.lo
 objs_gbsplay       := gbsplay.o  util.o plugout.o player.o cfgparser.o
 objs_xgbsplay      := xgbsplay.o util.o plugout.o player.o cfgparser.o
 objs_test_gbs      := test_gbs.o
@@ -122,42 +124,55 @@
 plugout_ldflags :=
 
 ifeq ($(plugout_devdsp),yes)
-plugout_objs +=plugout_devdsp.o
+plugout_objs += plugout_devdsp.o
 endif
 ifeq ($(plugout_alsa),yes)
-plugout_objs +=plugout_alsa.o
+plugout_objs += plugout_alsa.o
 plugout_ldflags += -lasound
 endif
 ifeq ($(plugout_nas),yes)
-plugout_objs +=plugout_nas.o
+plugout_objs += plugout_nas.o
 plugout_ldflags += -laudio $(libaudio_flags)
 endif
 ifeq ($(plugout_sdl),yes)
-plugout_objs +=plugout_sdl.o
-plugout_ldflags += -lSDL2
+plugout_objs += plugout_sdl.o
+plugout_ldflags += $(libSDL2_flags)
 endif
 ifeq ($(plugout_stdout),yes)
-plugout_objs +=plugout_stdout.o
+plugout_objs += plugout_stdout.o
 endif
 ifeq ($(plugout_midi),yes)
-plugout_objs +=plugout_midi.o
+plugout_objs += plugout_midi.o midifile.o filewriter.o
 endif
 ifeq ($(plugout_altmidi),yes)
-plugout_objs +=plugout_altmidi.o
+plugout_objs += plugout_altmidi.o midifile.o filewriter.o
+endif
+ifeq ($(plugout_pipewire),yes)
+plugout_objs += plugout_pipewire.o
+plugout_ldflags += $(libpipewire_0_3_flags)
 endif
 ifeq ($(plugout_pulse),yes)
-plugout_objs +=plugout_pulse.o
+plugout_objs += plugout_pulse.o
 plugout_ldflags += -lpulse-simple -lpulse
 endif
 ifeq ($(plugout_dsound),yes)
-plugout_objs +=plugout_dsound.o
+plugout_objs += plugout_dsound.o
 plugout_ldflags += -ldsound $(libdsound_flags)
 endif
 ifeq ($(plugout_iodumper),yes)
-plugout_objs +=plugout_iodumper.o
-endif
-
-objs_gbsplay +=$(plugout_objs)
+plugout_objs += plugout_iodumper.o
+endif
+ifeq ($(plugout_wav),yes)
+plugout_objs +=plugout_wav.o filewriter.o
+endif
+ifeq ($(plugout_vgm),yes)
+plugout_objs += plugout_vgm.o filewriter.o
+endif
+
+# dedupe (and finalize) plugout_objs; order is irrelevant, sorting is ok
+plugout_objs := $(sort $(plugout_objs))
+
+objs_gbsplay += $(plugout_objs)
 objs_xgbsplay += $(plugout_objs)
 GBSPLAYLDFLAGS += $(plugout_ldflags)
 XGBSPLAYLDFLAGS += $(plugout_ldflags)
@@ -263,10 +278,6 @@
 objs_gbs2gb += libgbs.a
 objs_gbsinfo += libgbs.a
 objs_test_gbs += libgbs.a
-ifeq ($(build_xmmsplugin),yes)
-objs += $(objs_libgbspic)
-objs_gbsxmms += libgbspic.a
-endif # build_xmmsplugin
 objs_xgbsplay += libgbs.a
 
 libgbs: libgbs.a
@@ -278,11 +289,6 @@
 
 objs += $(objs_gbsplay) $(ojbs_gbs2gb) $(objs_gbsinfo)
 dsts += gbsplay gbs2gb gbsinfo
-
-ifeq ($(build_xmmsplugin),yes)
-objs += $(objs_gbsxmms)
-dsts += gbsxmms.so
-endif
 
 ifeq ($(build_xgbsplay),yes)
 objs += $(objs_xgbsplay)
@@ -359,10 +365,6 @@
 install-contrib:
 	install -d $(contribdir)
 	install -m 644 $(contribs) $(contribdir)
-
-install-gbsxmms.so:
-	install -d $(xmmsdir)
-	install -m 644 gbsxmms.so $(xmmsdir)/gbsxmms.so
 
 install-xgbsplay:
 	install -d $(bindir)
@@ -414,10 +416,6 @@
 	rm -rf $(contribdir)
 	-rmdir -p $(contribdir)
 
-uninstall-gbsxmms.so:
-	rm -f $(xmmsdir)/gbsxmms.so
-	-rmdir -p $(xmmsdir)
-
 uninstall-xgbsplay:
 	rm -f $(bindir)/$(xgbsplaybin)
 	rm -f $(man1dir)/xgbsplay.1
@@ -442,7 +440,3 @@
 dist:	distclean
 	install -d ./$(DISTDIR)
 	sed 's/^VERSION=.*/VERSION=$(VERSION)/' < configure > ./$(DISTDIR)/configure
-	chmod 755 ./$(DISTDIR)/configure
-	install -m 755 depend.sh ./$(DISTDIR)/
-	install -m 644 Makefile ./$(DISTDIR)/
-	install -m 644 *.c ./$(DISTDIR)/
