=== debian/changelog ===
gbsplay (0.0.96-1build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:13:58 +0000

gbsplay (0.0.96-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:34:55 +0000

gbsplay (0.0.96-1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:36:31 +0000

gbsplay (0.0.96-1) unstable; urgency=medium

  * New upstream version.
  * Bump standard version to 4.6.2.
  * Update maintainer address.
  * d/copyright: bump years.
  * d/control: add Vcs fields.
  * d/gbsplay.desktop: dropped, using upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 05 Feb 2024 13:53:05 +0100

gbsplay (0.0.95-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 05 Feb 2024 13:46:49 +0100
