=== debian/control ===
--- 
+++ 
@@ -1,11 +1,21 @@
 Source: gbsplay
 Section: sound
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Uploaders: Christian Garbs <debian@cgarbs.de>
-Standards-Version: 4.5.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Gürkan Myczko <tar@debian.org>, Christian Garbs <debian@cgarbs.de>
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), gettext, libaudio-dev, libpulse-dev, libasound2-dev, libsdl2-dev, libxcb-icccm4-dev, libcairo2-dev
+Vcs-Git: https://salsa.debian.org/multimedia-team/gbsplay.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/gbsplay
+Build-Depends: debhelper-compat (= 13),
+ gettext,
+ libaudio-dev,
+ libpulse-dev,
+ libasound2-dev,
+ libsdl2-dev,
+ libxcb-icccm4-dev,
+ libcairo2-dev
 Homepage: https://github.com/mmitch/gbsplay
 
 Package: gbsplay
