## gbsplay 0.0.97

=== Makefile ===
--- 
+++ 
@@ -100,8 +100,8 @@
 
 apiheaders         := libgbs.h
 
-objs_libgbspic     := gbcpu.lo gbhw.lo mapper.lo gbs.lo crc32.lo
-objs_libgbs        := gbcpu.o  gbhw.o  mapper.o  gbs.o  crc32.o
+objs_libgbspic     := gbcpu.lo gbhw.lo gblfsr.lo mapper.lo gbs.lo crc32.lo
+objs_libgbs        := gbcpu.o  gbhw.o  gblfsr.o  mapper.o  gbs.o  crc32.o
 objs_gbs2gb        := gbs2gb.o
 objs_gbsinfo       := gbsinfo.o
 objs_gbsplay       := gbsplay.o  util.o plugout.o player.o cfgparser.o
@@ -109,7 +109,7 @@
 objs_test_gbs      := test_gbs.o
 objs_gen_impulse_h := gen_impulse_h.ho impulsegen.ho
 
-tests              := util.test impulsegen.test
+tests              := util.test impulsegen.test gblfsr.test
 
 # terminal handling
 ifeq ($(windows_libprefix),lib)
@@ -439,4 +439,3 @@
 
 dist:	distclean
 	install -d ./$(DISTDIR)
-	sed 's/^VERSION=.*/VERSION=$(VERSION)/' < configure > ./$(DISTDIR)/configure
