=== debian/changelog ===
gbsplay (0.0.97-1) unstable; urgency=medium

  * New upstream version.
  * Bump standard version to 4.7.0.
  * Update my name.

 -- Alex Myczko <tar@debian.org>  Tue, 23 Apr 2024 06:03:55 +0200
