=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gbsplay
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>, Christian Garbs <debian@cgarbs.de>
-Standards-Version: 4.6.2
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Alex Myczko <tar@debian.org>, Christian Garbs <debian@cgarbs.de>
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/gbsplay.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/gbsplay
