## gbsplay 0.0.99

=== Makefile ===
--- 
+++ 
@@ -86,9 +86,9 @@
 
 export Q VERBOSE CC HOSTCC BUILDCC GBSCFLAGS GBSLDFLAGS
 
-docs               := README.md HISTORY COPYRIGHT
+docs               := README.md HISTORY COPYRIGHT LICENCE
 docs-dist          := INSTALL.md CODINGSTYLE gbsformat.txt
-contribs           := contrib/gbs2ogg.sh contrib/gbsplay.bashcompletion
+contribs           := contrib/gbs2ogg.sh contrib/gbsplay.bashcompletion contrib/gbsplay.zshcompletion
 examples           := examples/nightmode.gbs examples/gbsplayrc_sample
 
 mans               := man/gbsplay.1    man/gbsinfo.1    man/gbsplayrc.5
@@ -109,7 +109,7 @@
 objs_test_gbs      := test_gbs.o
 objs_gen_impulse_h := gen_impulse_h.ho impulsegen.ho
 
-tests              := util.test impulsegen.test gblfsr.test
+tests              := util.test impulsegen.test gblfsr.test cfgparser.test
 
 # terminal handling
 ifeq ($(windows_libprefix),lib)
@@ -328,7 +328,7 @@
 	rm -f libgbs libgbspic libgbs.def libgbs.so.1.ver
 	rm -f $(mans)
 	rm -f $(gbsplaybin) $(gbs2gbbin) $(gbsinfobin)
-	rm -f $(test_gbsbin)
+	rm -f $(test_gbsbin) gbsplayrc.tmp
 	rm -f $(gen_impulse_h_bin) impulse.h
 
 clean-apidoc:
@@ -438,4 +438,3 @@
 	-rmdir -p $(pkgconfigdir)
 
 dist:	distclean
-	install -d ./$(DISTDIR)
