=== debian/changelog ===
gbsplay (0.0.99-2) unstable; urgency=medium

  * Team Upload
  * Add patch fro GCC-15 (Closes: #1114113)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 24 Sep 2025 20:43:50 +0200

gbsplay (0.0.99-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 28 Mar 2025 08:13:13 +0000
