=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,6 @@
 	--bindir=\$${prefix}/bin \
 	--infodir=\$${prefix}/share/info \
 	--with-xgbsplay \
-	--without-xmmsplugin \
 	--enable-nas --enable-midi --enable-devdsp --enable-stdout --enable-alsa --enable-pulse \
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
