## gbsplay 0.0.102

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 SHELL := bash
 .SHELLFLAGS := -eu -o pipefail -c
 
-.PHONY: all default distclean clean install dist clean-apidoc
+.PHONY: all default distclean clean install dist clean-apidoc show-install-dirs
 
 all: default
 
@@ -56,6 +56,7 @@
 # Update paths with user-provided DESTDIR
 prefix       := $(DESTDIR)$(prefix)
 exec_prefix  := $(DESTDIR)$(exec_prefix)
+libdir       := $(DESTDIR)$(libdir)
 bindir       := $(DESTDIR)$(bindir)
 mandir       := $(DESTDIR)$(mandir)
 docdir       := $(DESTDIR)$(docdir)
@@ -87,12 +88,11 @@
 export Q VERBOSE CC HOSTCC BUILDCC GBSCFLAGS GBSLDFLAGS
 
 docs               := README.md HISTORY COPYRIGHT LICENCE
-docs-dist          := INSTALL.md CODINGSTYLE gbsformat.txt
+docs-dist          := INSTALL.md CODINGSTYLE gbsformat.txt PACKAGING.md
 contribs           := contrib/gbs2ogg.sh contrib/gbsplay.bashcompletion contrib/gbsplay.zshcompletion
 examples           := examples/nightmode.gbs examples/gbsplayrc_sample
 
-mans               := man/gbsplay.1    man/gbsinfo.1    man/gbsplayrc.5
-mans_src           := man/gbsplay.in.1 man/gbsinfo.in.1 man/gbsplayrc.in.5
+mans               := man/gbsplay.1    man/gbsinfo.1    man/gbsplayrc.5    man/gbs2gb.1
 
 apimans_list       := libgbs.h gbs gbs_channel_status gbs_output_buffer gbs_status
 apidocdir          := apidoc
@@ -185,7 +185,9 @@
 
 # test built binary?
 ifeq ($(build_test),yes)
-TEST_TARGETS += test
+TEST_TARGETS = test
+else
+TEST_TARGETS =
 endif
 
 # Cygwin automatically adds .exe to binaries.
@@ -287,14 +289,13 @@
 	touch libgbspic
 endif # use_sharedlibs
 
-objs += $(objs_gbsplay) $(ojbs_gbs2gb) $(objs_gbsinfo)
+objs += $(objs_gbsplay) $(objs_gbs2gb) $(objs_gbsinfo)
 dsts += gbsplay gbs2gb gbsinfo
 
 ifeq ($(build_xgbsplay),yes)
 objs += $(objs_xgbsplay)
 dsts += xgbsplay
 mans += man/xgbsplay.1
-mans_src += man/xgbsplay.in.1
 EXTRA_INSTALL += install-xgbsplay
 EXTRA_UNINSTALL += uninstall-xgbsplay
 EXTRA_CLEAN += clean-xgbsplay
@@ -316,7 +317,7 @@
 default: config.mk
 endif
 
-distclean: clean
+distclean: clean clean-xgbsplay
 	find . -regex ".*\.d" -exec rm -f "{}" \;
 	rm -f ./config.mk ./config.h ./config.err ./config.sed ./libgbs.pc
 
@@ -337,9 +338,9 @@
 clean-xgbsplay:
 	rm -f $(xgbsplaybin)
 
-install: all install-default $(EXTRA_INSTALL)
-
-install-default:
+install: install-default $(EXTRA_INSTALL)
+
+install-default: all
 	install -d $(bindir)
 	install -d $(man1dir)
 	install -d $(man5dir)
@@ -348,7 +349,7 @@
 	install -d $(mimedir)/packages
 	install -d $(appdir)
 	install -m 755 $(gbsplaybin) $(gbs2gbbin) $(gbsinfobin) $(bindir)
-	install -m 644 man/gbsplay.1 man/gbsinfo.1 $(man1dir)
+	install -m 644 man/gbsplay.1 man/gbsinfo.1 man/gbs2gb.1 $(man1dir)
 	install -m 644 man/gbsplayrc.5 $(man5dir)
 	install -m 644 mime/gbsplay.xml $(mimedir)/packages
 	-update-mime-database $(mimedir)
@@ -366,9 +367,10 @@
 	install -d $(contribdir)
 	install -m 644 $(contribs) $(contribdir)
 
-install-xgbsplay:
+install-xgbsplay: $(xgbsplaybin) $(mans)
 	install -d $(bindir)
 	install -d $(man1dir)
+	install -d $(appdir)
 	install -m 755 $(xgbsplaybin) $(bindir)
 	install -m 644 man/xgbsplay.1 $(man1dir)
 	install -m 644 desktop/xgbsplay.desktop $(appdir)
@@ -386,12 +388,34 @@
 	install -d $(pkgconfigdir)
 	install -m 644 libgbs.pc $(pkgconfigdir)
 
+show-install-dirs:
+	@echo "+ DESTDIR      = $(DESTDIR)"
+	@echo "* bindir       = $(bindir)"
+	@echo "  includedir   = $(includedir)"
+	@echo "* libdir       = $(libdir)"
+	@echo "* mandir       = $(mandir)"
+	@echo "  man1dir      = $(man1dir)"
+	@echo "  man3dir      = $(man3dir)"
+	@echo "  man5dir      = $(man5dir)"
+	@echo "* appdir       = $(appdir)"
+	@echo "* docdir       = $(docdir)"
+	@echo "  contribdir   = $(contribdir)"
+	@echo "  exampledir   = $(exampledir)"
+	@echo "  localedir    = $(localedir)"
+	@for i in $(mos); do \
+		base=`basename $$i`; \
+		echo "                 $(localedir)/$${base%.mo}"; \
+	done
+	@echo "  mimedir      = $(mimedir)"
+	@echo "                 $(mimedir)/packages"
+	@echo "  pkgconfigdir = $(pkgconfigdir)"
+
 uninstall: uninstall-default $(EXTRA_UNINSTALL)
 
 uninstall-default:
 	rm -f $(bindir)/$(gbsplaybin) $(bindir)/$(gbs2gbbin) $(bindir)/$(gbsinfobin)
 	-rmdir -p $(bindir)
-	rm -f $(man1dir)/gbsplay.1 $(man1dir)/gbsinfo.1
+	rm -f $(man1dir)/gbsplay.1 $(man1dir)/gbsinfo.1 $(man1dir)/gbs2gb.1
 	-rmdir -p $(man1dir)
 	rm -f $(man5dir)/gbsplayrc.5
 	-rmdir -p $(man5dir)
@@ -402,39 +426,3 @@
 	-update-desktop-database $(appdir)
 	-rmdir -p $(appdir)
 	rm -rf $(exampledir)
-	-rmdir -p $(exampledir)
-	rm -rf $(docdir)
-	-mkdir -p $(docdir)
-	-rmdir -p $(docdir)
-	-for i in $(mos); do \
-		base=`basename $$i`; \
-		rm -f $(localedir)/$${base%.mo}/LC_MESSAGES/gbsplay.mo; \
-		rmdir -p $(localedir)/$${base%.mo}/LC_MESSAGES; \
-	done
-
-uninstall-contrib:
-	rm -rf $(contribdir)
-	-rmdir -p $(contribdir)
-
-uninstall-xgbsplay:
-	rm -f $(bindir)/$(xgbsplaybin)
-	rm -f $(man1dir)/xgbsplay.1
-	rm -f $(appdir)/xgbsplay.desktop
-	-update-desktop-database $(appdir)
-	-rmdir -p $(bindir)
-	-rmdir -p $(man1dir)
-	-rmdir -p $(appdir)
-
-uninstall-apidoc:
-	rm -f $(patsubst %, $(man3dir)/%.3,$(apimans_list))
-	-rmdir -p $(man3dir)
-
-uninstall-headers:
-	rm -f $(addprefix $(includedir)/,$(apiheaders))
-	-rmdir -p $(includedir)
-
-uninstall-pkg-config:
-	rm -f $(pkgconfigdir)/libgbs.pc
-	-rmdir -p $(pkgconfigdir)
-
-dist:	distclean
