=== debian/changelog ===
gbsplay (0.0.102-1) unstable; urgency=medium

  * New upstream version. (Closes: #1105835)
  * d/copyright: bump years.
  * d/patches: lost.

 -- Alex Myczko <tar@debian.org>  Fri, 14 Nov 2025 20:46:40 +0100
