=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Alex Myczko <tar@debian.org>, Christian Garbs <debian@cgarbs.de>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/gbsplay.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/gbsplay
 Build-Depends: debhelper-compat (= 13),
