=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gbsplay-$1\.tar\.gz/ \
  https://github.com/mmitch/gbsplay/tags .*/(\d\S*)\.tar\.gz
